Package org.springframework.security.web.webauthn.api

# Interface AuthenticationExtensionsClientInput<T>

Type Parameters:
  `T` -

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `CredProtectAuthenticationExtensionsClientInput`, `ImmutableAuthenticationExtensionsClientInput`

public interface AuthenticationExtensionsClientInput<T> extends Serializable
A client extension input entry in the `AuthenticationExtensionsClientInputs`.

Since:
  6.4
See Also:
  - `ImmutableAuthenticationExtensionsClientInput`

## Method Summary

Modifier and Type
Method
Description
`String`
`getExtensionId()`
Gets the extension identifier.
`T`
`getInput()`
Gets the client extension.

## Method Details

### getExtensionId

String getExtensionId()
Gets the extension identifier.

Returns:
  the extension identifier.

### getInput

T getInput()
Gets the client extension.

Returns:
  the client extension.